<section class="p-0" id="section-opacity">
    <div class="row section-title justify-content-center header-sticky m-0">
        <div class="col-xl-8 col-lg-9 col-md-10 padding-responsive">
            <div class="resumen-filtro" (click)="editarFiltro()">
                <div class="row ruta-line ml-2 pb-0" style="color: black;">
                    <div class="align-center name-lugar-responsive">
                        <span class="direccion-decoration" title="{{obj_filtro.lugarSalida}}">
                            {{obj_filtro.lugarSalida}}
                        </span>

                    </div>
                    <div class="align-center pl-3 pr-3">
                        <i style="float: right;
                            margin: 0.29rem 0px;" class="fas fa-long-arrow-alt-right"></i>
                    </div>
                    <div class="align-center name-lugar-responsive">
                        <span class="direccion-decoration"
                            title="{{obj_filtro.lugarLlegada}}">{{obj_filtro.lugarLlegada}}</span>

                    </div>
                </div>
                <div class="row ml-3">
                    <div class="align-center">
                        <!-- <span title="Asuncion, Paraguay"> Sab., 29 feb. 08:00, 1 pasajero
                                </span> -->
                        <span style="text-transform: capitalize;"> {{fechaSalida}},
                            {{obj_filtro.asientosDisponibles}} </span> &nbsp;pasajero(s)

                    </div>
                </div>
            </div>
            <div class="resumen-resultado mt-4"
                style="    display: flex;justify-content: space-between;padding: 0rem 1rem;">
                <span> {{viajes.length}} viajes encontrados</span>
                <span (click)="filtrarResponsive(0)" class="d-sm-block d-md-none button-filtrar"> Filtrar </span>
            </div>
        </div>
    </div>
    <form class="padding-movil" action="">
        <div data-aos="fade-in" data-aos-delay="150" class="container" *ngIf="section_listado">

            <div class="container padding-responsive">

                <div class="row justify-content-center mt-4" style="height: 100%;">
                    <div class="col-xl-8 col-lg-9 col-md-10">

                    </div>
                    <div class="col-xl-8 col-lg-9 col-md-10">
                        <div *ngFor="let element of viajes">
                            <a *ngIf="element.viaje.idEstadoViaje==3"
                                class="padding-responsive card card-body px-3 py-4 flex-sm-row align-items-center justify-content-between hover-box-shadow mb-2 mb-sm-3 card-viaje">
                                <div class="row" style="width: 100%;height: 100%;cursor:pointer"
                                    (click)="verViaje(element.viaje.id)">
                                    <div class="col-md-12">
                                        <div class="row" style="height: 70%;">
                                            <div class="col-9">

                                                <ul class="timeline">
                                                    <li class="event" id="{{formatTime(element.viaje.horaViaje)}}">
                                                        <span class="name-lugar direccion-decoration"
                                                            style="display: block;"
                                                            title="{{element.viaje.lugarOrigen}}">{{element.viaje.lugarOrigen}}</span>
                                                    </li>
                                                    <li class="event" id="{{formatTime(element.viaje.horaLlegada)}}">
                                                        <span class="name-lugar direccion-decoration"
                                                            style="display: block;"
                                                            title="{{element.viaje.lugarDestino}}">{{element.viaje.lugarDestino}}</span>
                                                    </li>
                                                </ul>
                                            </div>
                                            <div class="col-3">
                                                <div class="row">
                                                    <div class="col-md-12 pr-0">
                                                        <p style="color: black;text-align: right;;">Gs
                                                            {{element.viaje.contribucionPorCabeza}} </p>
                                                    </div>
                                                    <div class="col-md-12">

                                                    </div>
                                                </div>
                                            </div>

                                        </div>
                                        <div class="row" style="height: 30%;">
                                            <div class="col-auto col-9" style="display: flex;
                                                    align-items: flex-end;">
                                                <div class="row">
                                                    <div class="col-4 d-flex" style="justify-content: center;">
                                                        <img src="assets/img/avatars/user.png"
                                                            *ngIf="element.miembro.foto == '' || element.miembro.foto == null"
                                                            alt="Avatar" class="avatar avatar-sm flex-shrink-0">
                                                        <img src="{{element.miembro.foto}}"
                                                            *ngIf="element.miembro.foto != '' && element.miembro.foto != null"
                                                            alt="Avatar" class="avatar avatar-sm flex-shrink-0">
                                                    </div>
                                                    <div class="col-8">
                                                        <span
                                                            style="color: black;">{{element.miembro.nombre}}&nbsp;{{element.miembro.apellido}}</span>
                                                        <p>
                                                            <img src="assets/img/icons/theme/general/star.png"
                                                                height="15px" alt="">
                                                            4,4
                                                        </p>
                                                    </div>
                                                </div>

                                            </div>
                                            <div class="col-3 d-flex" style="justify-content: flex-end;">
                                                <div class="col-3" *ngIf="element.viaje.maximoDosAtras" style="display: flex;
                                                align-items: center;
                                                justify-content: center;">
                                                    <div class="mr-2 mb-2">
                                                        <img src="assets/img/icons/theme/general/comodidad.png"
                                                            alt="Avatar" name="comodidad" style="height: 1.4rem;"
                                                            data-toggle="tooltip" data-placement="top" title=""
                                                            data-original-title="El conductor garantiza un máximo de 2 pasajeros en los asientos traseros.">
                                                    </div>
                                                </div>
                                                <div class="col-2 pr-0" *ngIf="element.viaje.aceptacionAutomatica"
                                                    style="display: flex;
                                                align-items: center;
                                                justify-content: center;">
                                                    <div class="mr-2 mb-2">
                                                        <img src="assets/img/icons/theme/general/automatico.png"
                                                            alt="Avatar" style="height: 1.4rem;" name="fumar"
                                                            id="fumar-medio" data-toggle="tooltip" data-placement="top"
                                                            title=""
                                                            data-original-title="La reserva se realiza de forma automatica. No será necesaria la confirmación del conductor">

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                </div>

                            </a>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </form>

</section>
<!-- FILTER RESPONSIVE -->
<div data-aos="fade-up" data-aos-delay="150" class="side-menu d-md-none d-sm-flex" id="side-menu-responsive"
    *ngIf="abrirFiltroResponsive" style="right:100%;
width: 100%;">

    <div class="side-menu-body bg-white border-left shadow p-4 text-small" id="side-menu">
        <p (click)="filtrarResponsive(1)" style="width: 100%;"> <img src="assets/img/ilus/cancel.png" height="23px"
                style="float:right;" alt=""> </p>
        <h6 class="mb-3" style="font-size: 2rem;">Filtros</h6>
        <div class="col p-0">
            <section class="p-0" id="range-sliders">
                <div class="container">
                    <div class="row align-items-start">
                        <h6>Rango de distancia:</h6> &nbsp; {{radioDistancia}} km
                        <div class="col-lg-12 mb-4">
                            <div class="row mb-md-5 mb-4">
                                <div class="col">
                                    <form action="3">
                                        <div class="range irs irs--theme js-irs-0 irs-with-grid">
                                            <input type="range" style="z-index: 99999;" name="radioDistancia"
                                                [(ngModel)]="radioDistancia" (keyup)="cambiarRadio($event)"
                                                id="id_radio" min="5" max="50">
                                            <span class="irs-grid" style="width: 94.8718%; left: 2.4641%;"><span
                                                    class="irs-grid-pol" style="left: 0%"></span><span
                                                    class="irs-grid-text js-grid-text-0"
                                                    style="left: 0%; margin-left: -2.11588%;">5</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 7.4074074074074066%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 3.7037037037037033%"></span><span class="irs-grid-pol"
                                                    style="left: 11.11111111111111%"></span><span
                                                    class="irs-grid-text js-grid-text-1"
                                                    style="left: 11.1111%; visibility: visible; margin-left: -3.27022%;">10</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 18.51851851851852%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 14.814814814814813%"></span><span class="irs-grid-pol"
                                                    style="left: 22.22222222222222%"></span><span
                                                    class="irs-grid-text js-grid-text-2"
                                                    style="left: 22.2222%; visibility: visible; margin-left: -3.27022%;">15</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 29.629629629629626%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 25.925925925925924%"></span><span class="irs-grid-pol"
                                                    style="left: 33.33333333333333%"></span><span
                                                    class="irs-grid-text js-grid-text-3"
                                                    style="left: 33.3333%; visibility: visible; margin-left: -3.27274%;">20</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 40.74074074074074%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 37.03703703703703%"></span><span class="irs-grid-pol"
                                                    style="left: 44.44444444444444%"></span><span
                                                    class="irs-grid-text js-grid-text-4"
                                                    style="left: 44.4444%; margin-left: -3.27274%;">25</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 51.851851851851855%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 48.148148148148145%"></span><span class="irs-grid-pol"
                                                    style="left: 55.55555555555556%"></span><span
                                                    class="irs-grid-text js-grid-text-5"
                                                    style="left: 55.5556%; visibility: visible; margin-left: -3.27022%;">30</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 62.962962962962955%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 59.25925925925926%"></span><span class="irs-grid-pol"
                                                    style="left: 66.66666666666666%"></span><span
                                                    class="irs-grid-text js-grid-text-6"
                                                    style="left: 66.6667%; visibility: visible; margin-left: -3.27022%;">35</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 74.07407407407406%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 70.37037037037037%"></span><span class="irs-grid-pol"
                                                    style="left: 77.77777777777777%"></span><span
                                                    class="irs-grid-text js-grid-text-7"
                                                    style="left: 77.7778%; visibility: visible; margin-left: -3.27022%;">40</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 85.18518518518518%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 81.48148148148148%"></span><span class="irs-grid-pol"
                                                    style="left: 88.88888888888889%"></span><span
                                                    class="irs-grid-text js-grid-text-8"
                                                    style="left: 88.8889%; margin-left: -3.27022%;">45</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 96.29629629629629%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 92.5925925925926%"></span><span class="irs-grid-pol"
                                                    style="left: 100%"></span><span class="irs-grid-text js-grid-text-9"
                                                    style="left: 100%; visibility: visible; margin-left: -3.27022%;">50</span></span>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <h6>Tamaño de equipaje</h6>
                        <div class="col-lg-12 mb-4">
                            <div class="row mb-md-5">
                                <div class="col">

                                    <div class="row">
                                        <div class="col-md-12 equipajes-sizes">
                                            <i class="fas fa-suitcase-rolling pack-1 selected-size sizes"
                                                (click)="selectSize(1)"></i>
                                            <i class="fas fa-suitcase-rolling pack-2 sizes" (click)="selectSize(2)"></i>
                                            <i class="fas fa-suitcase-rolling pack-3 sizes" (click)="selectSize(3)"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12 mb-4 p-0">
                            <h6>
                                <font style="vertical-align: inherit;">
                                    <font style="vertical-align: inherit;">Preferencias</font>
                                </font>
                            </h6>
                            <div class="d-grid flex-wrap">

                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-5">
                                    <label class="custom-control-label" for="check-5">
                                        <font style="vertical-align: inherit;">
                                            <font style="vertical-align: inherit;">Solo mujeres</font>
                                        </font>
                                    </label>
                                </div>
                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-1" checked="">
                                    <label class="custom-control-label" for="check-1">
                                        <font style="vertical-align: inherit;">
                                            <font style="vertical-align: inherit;">Niños</font>
                                        </font>
                                    </label>
                                </div>
                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-2" checked="">
                                    <label class="custom-control-label" for="check-2">
                                        <font style="vertical-align: inherit;">
                                            <font style="vertical-align: inherit;">Mascotas</font>
                                        </font>
                                    </label>
                                </div>
                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-3" checked="">
                                    <label class="custom-control-label" for="check-3">
                                        <font style="vertical-align: inherit;">
                                            <font style="vertical-align: inherit;">Fumar</font>
                                        </font>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12  mb-4 p-0">
                            <h6>
                                <font style="vertical-align: inherit;">
                                    <font style="vertical-align: inherit;">Comodidad</font>
                                </font>
                            </h6>
                            <div class="d-flex flex-wrap">
                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-4" checked="">
                                    <label class="custom-control-label" for="check-4">
                                        <font style="vertical-align: inherit;">
                                            <font style="vertical-align: inherit;">2 personas máx. en el asiento trasero
                                            </font>
                                        </font>
                                    </label>
                                </div>

                            </div>
                        </div>
                        <div class="col-lg-12">
                            <button type="button" class="btn btn-primary" style="left: 0;width: 100%;"
                                (click)="buscarViajes(1)">Actualizar</button>
                        </div>


                    </div>

                </div>
            </section>
        </div>
    </div>
</div>
<div class="side-menu d-none d-md-flex">
    <button type="button" data-toggle="button" class="btn rounded-circle btn-primary" aria-pressed="false"
        id="btn-sidemenu" (click)="sectionOpacity($event)">

        <img src="assets/img/icons/theme/general/settings.png" style="height:1.5rem" class="injected-svg icon" alt="">
        <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"
            class="injected-svg icon bg-white" data-src="assets/img/icons/interface/icon-x.svg"
            xmlns:xlink="http://www.w3.org/1999/xlink">
            <path d="M18 6L6 18" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
            </path>
            <path d="M6 6L18 18" stroke="#2C3038" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
            </path>
        </svg>
    </button>
    <div class="side-menu-body bg-white border-left shadow p-4 text-small" id="side-menu">
        <h6 class="mb-3" style="font-size: 2rem;">Filtros</h6>
        <div class="col p-0">
            <section class="p-0" id="range-sliders">
                <div class="container">
                    <div class="row align-items-start">
                        <h6>Rango de distancia:</h6> &nbsp; {{radioDistancia}} km
                        <div class="col-lg-12">
                            <div class="row mb-md-5 mb-4">
                                <div class="col">
                                    <form action="3">
                                        <div class="range irs irs--theme js-irs-0 irs-with-grid">
                                            <input type="range" style="z-index: 99999;" name="radioDistancia"
                                                [(ngModel)]="radioDistancia" (keyup)="cambiarRadio($event)"
                                                id="id_radio" min="5" max="50">
                                            <span class="irs-grid" style="width: 94.8718%; left: 2.4641%;"><span
                                                    class="irs-grid-pol" style="left: 0%"></span><span
                                                    class="irs-grid-text js-grid-text-0"
                                                    style="left: 0%; margin-left: -2.11588%;">5</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 7.4074074074074066%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 3.7037037037037033%"></span><span class="irs-grid-pol"
                                                    style="left: 11.11111111111111%"></span><span
                                                    class="irs-grid-text js-grid-text-1"
                                                    style="left: 11.1111%; visibility: visible; margin-left: -3.27022%;">10</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 18.51851851851852%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 14.814814814814813%"></span><span class="irs-grid-pol"
                                                    style="left: 22.22222222222222%"></span><span
                                                    class="irs-grid-text js-grid-text-2"
                                                    style="left: 22.2222%; visibility: visible; margin-left: -3.27022%;">15</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 29.629629629629626%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 25.925925925925924%"></span><span class="irs-grid-pol"
                                                    style="left: 33.33333333333333%"></span><span
                                                    class="irs-grid-text js-grid-text-3"
                                                    style="left: 33.3333%; visibility: visible; margin-left: -3.27274%;">20</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 40.74074074074074%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 37.03703703703703%"></span><span class="irs-grid-pol"
                                                    style="left: 44.44444444444444%"></span><span
                                                    class="irs-grid-text js-grid-text-4"
                                                    style="left: 44.4444%; margin-left: -3.27274%;">25</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 51.851851851851855%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 48.148148148148145%"></span><span class="irs-grid-pol"
                                                    style="left: 55.55555555555556%"></span><span
                                                    class="irs-grid-text js-grid-text-5"
                                                    style="left: 55.5556%; visibility: visible; margin-left: -3.27022%;">30</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 62.962962962962955%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 59.25925925925926%"></span><span class="irs-grid-pol"
                                                    style="left: 66.66666666666666%"></span><span
                                                    class="irs-grid-text js-grid-text-6"
                                                    style="left: 66.6667%; visibility: visible; margin-left: -3.27022%;">35</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 74.07407407407406%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 70.37037037037037%"></span><span class="irs-grid-pol"
                                                    style="left: 77.77777777777777%"></span><span
                                                    class="irs-grid-text js-grid-text-7"
                                                    style="left: 77.7778%; visibility: visible; margin-left: -3.27022%;">40</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 85.18518518518518%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 81.48148148148148%"></span><span class="irs-grid-pol"
                                                    style="left: 88.88888888888889%"></span><span
                                                    class="irs-grid-text js-grid-text-8"
                                                    style="left: 88.8889%; margin-left: -3.27022%;">45</span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 96.29629629629629%"></span><span
                                                    class="irs-grid-pol small"
                                                    style="left: 92.5925925925926%"></span><span class="irs-grid-pol"
                                                    style="left: 100%"></span><span class="irs-grid-text js-grid-text-9"
                                                    style="left: 100%; visibility: visible; margin-left: -3.27022%;">50</span></span>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <h6>Tamaño de equipaje</h6>
                        <div class="col-lg-12">
                            <div class="row mb-md-5 mb-4">
                                <div class="col">

                                    <div class="row">
                                        <div class="col-md-12 equipajes-sizes">
                                            <i class="fas fa-suitcase-rolling pack-1 selected-size sizes"
                                                (click)="selectSize(1)"></i>
                                            <i class="fas fa-suitcase-rolling pack-2 sizes" (click)="selectSize(2)"></i>
                                            <i class="fas fa-suitcase-rolling pack-3 sizes" (click)="selectSize(3)"></i>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12 mb-4 p-0">
                            <h6>
                                <font style="vertical-align: inherit;">
                                    <font style="vertical-align: inherit;">Preferencias</font>
                                </font>
                            </h6>
                            <div class="d-grid flex-wrap">

                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-5">
                                    <label class="custom-control-label" for="check-5">
                                        <font style="vertical-align: inherit;">
                                            <font style="vertical-align: inherit;">Solo mujeres</font>
                                        </font>
                                    </label>
                                </div>
                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-1" checked="">
                                    <label class="custom-control-label" for="check-1">
                                        <font style="vertical-align: inherit;">
                                            <font style="vertical-align: inherit;">Niños</font>
                                        </font>
                                    </label>
                                </div>
                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-2" checked="">
                                    <label class="custom-control-label" for="check-2">
                                        <font style="vertical-align: inherit;">
                                            <font style="vertical-align: inherit;">Mascotas</font>
                                        </font>
                                    </label>
                                </div>
                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-3" checked="">
                                    <label class="custom-control-label" for="check-3">
                                        <font style="vertical-align: inherit;">
                                            <font style="vertical-align: inherit;">Fumar</font>
                                        </font>
                                    </label>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-12  mb-4 p-0">
                            <h6>
                                <font style="vertical-align: inherit;">
                                    <font style="vertical-align: inherit;">Comodidad</font>
                                </font>
                            </h6>
                            <div class="d-flex flex-wrap">
                                <div class="custom-control custom-checkbox mr-4">
                                    <input type="checkbox" class="custom-control-input" id="check-4" checked="">
                                    <label class="custom-control-label" for="check-4">
                                        <font style="vertical-align: inherit;">
                                            <font style="vertical-align: inherit;">2 personas máx. en el asiento trasero
                                            </font>
                                        </font>
                                    </label>
                                </div>

                            </div>
                        </div>
                        <div class="col-lg-12">
                            <button type="button" class="btn btn-primary" style="left: 0;width: 100%;"
                                (click)="buscarViajes(0)">Actualizar</button>
                        </div>


                    </div>

                </div>
            </section>
        </div>
    </div>
</div>